# Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/ POST https://graph.facebook.com/v2/post/publish/status/fetch/ Content-Type: application/json Reference: https://docs.deao.dev/cloudflare/social-media-posting/tik-tok/get-upload-status-https-open-tiktokapis-com-v-2-post-publish-status-fetch ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v2/post/publish/status/fetch/: post: operationId: >- get-upload-status-https-open-tiktokapis-com-v-2-post-publish-status-fetch summary: >- Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/ tags: - subpackage_socialMediaPosting.subpackage_socialMediaPosting/tikTok responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_Response_200 requestBody: content: application/json: schema: type: object properties: publish_id: type: string required: - publish_id servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: V2PostPublishStatusFetchPostResponsesContentApplicationJsonSchemaData: type: object properties: status: type: string uploaded_bytes: type: integer required: - status - uploaded_bytes title: V2PostPublishStatusFetchPostResponsesContentApplicationJsonSchemaData V2PostPublishStatusFetchPostResponsesContentApplicationJsonSchemaError: type: object properties: code: type: string log_id: type: string message: type: string required: - code - log_id - message title: V2PostPublishStatusFetchPostResponsesContentApplicationJsonSchemaError 'Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_Response_200': type: object properties: data: $ref: >- #/components/schemas/V2PostPublishStatusFetchPostResponsesContentApplicationJsonSchemaData error: $ref: >- #/components/schemas/V2PostPublishStatusFetchPostResponsesContentApplicationJsonSchemaError required: - data - error title: >- Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_Response_200 ``` ## SDK Code Examples ```python Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/ import requests url = "https://graph.facebook.com/v2/post/publish/status/fetch/" headers = {"Content-Type": "application/json"} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/ const url = 'https://graph.facebook.com/v2/post/publish/status/fetch/'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: undefined}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/ package main import ( "fmt" "net/http" "io" ) func main() { url := "https://graph.facebook.com/v2/post/publish/status/fetch/" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/ require 'uri' require 'net/http' url = URI("https://graph.facebook.com/v2/post/publish/status/fetch/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' response = http.request(request) puts response.read_body ``` ```java Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/ import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://graph.facebook.com/v2/post/publish/status/fetch/") .header("Content-Type", "application/json") .asString(); ``` ```php Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/ request('POST', 'https://graph.facebook.com/v2/post/publish/status/fetch/', [ 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/ using RestSharp; var client = new RestClient("https://graph.facebook.com/v2/post/publish/status/fetch/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); IRestResponse response = client.Execute(request); ``` ```swift Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/ import Foundation let headers = ["Content-Type": "application/json"] let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/v2/post/publish/status/fetch/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_example import requests url = "https://graph.facebook.com/v2/post/publish/status/fetch/" payload = { "publish_id": "v_pub_file~v2-1.7619809321098168328" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_example const url = 'https://graph.facebook.com/v2/post/publish/status/fetch/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"publish_id":"v_pub_file~v2-1.7619809321098168328"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://graph.facebook.com/v2/post/publish/status/fetch/" payload := strings.NewReader("{\n \"publish_id\": \"v_pub_file~v2-1.7619809321098168328\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_example require 'uri' require 'net/http' url = URI("https://graph.facebook.com/v2/post/publish/status/fetch/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"publish_id\": \"v_pub_file~v2-1.7619809321098168328\"\n}" response = http.request(request) puts response.read_body ``` ```java Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://graph.facebook.com/v2/post/publish/status/fetch/") .header("Content-Type", "application/json") .body("{\n \"publish_id\": \"v_pub_file~v2-1.7619809321098168328\"\n}") .asString(); ``` ```php Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_example request('POST', 'https://graph.facebook.com/v2/post/publish/status/fetch/', [ 'body' => '{ "publish_id": "v_pub_file~v2-1.7619809321098168328" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_example using RestSharp; var client = new RestClient("https://graph.facebook.com/v2/post/publish/status/fetch/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"publish_id\": \"v_pub_file~v2-1.7619809321098168328\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Social Media Posting_TikTok_Get Upload Status: https://open.tiktokapis.com/v2/post/publish/status/fetch/_example import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["publish_id": "v_pub_file~v2-1.7619809321098168328"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/v2/post/publish/status/fetch/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```